package function;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import sexpression.Cons;
import sexpression.SExpression;

public class LispFunctionTest {

    @Test
    public void evaluateArguments() {
        LispFunction lispFunction = new LispFunction() {

            @Override
            public SExpression call(Cons argList) {
                return null;
            }
        };

        assertTrue(lispFunction.isArgumentListEvaluated());
    }

}
